Name:		autodock_vina
Version:	1.1.2
Release:	1%{?dist}
Summary:	Docking of small molecules to proteins

License:	ASL 2.0
URL:		http://vina.scripps.edu/index.html
Source0:	http://vina.scripps.edu/download/autodock_vina_1_1_2.tgz
Source1:	vina.1
Source2:	vina_split.1
# from Debian
Patch1:		autodock-vina-fix_boost.patch

BuildRequires:	gcc-c++ boost-devel boost-thread boost-system
BuildRequires:	boost-program-options
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} >= 20
%global lib_version %nil
%else
%global lib_version -mt
%endif

%description
AutoDock Vina is a program to support drug discovery, molecular
docking and virtual screening of compound libraries. It offers
multi-core capability, high performance and enhanced accuracy
and ease of use.

The same institute also developed autodock, which is widely used.

O. Trott, A. J. Olson, AutoDock Vina: improving the speed and accuracy
of docking with a new scoring function, efficient optimization and
multithreading, Journal of Computational Chemistry 31 (2010) 455-461


%prep
%setup -q -n autodock_vina_1_1_2
%patch1 -p1


%build
make -C build/linux/release GPP=g++ BOOST_VERSION=1_47 C_PLATFORM=-pthread \
     BASE=/usr BOOST_LIB_VERSION=%lib_version %{?_smp_mflags} \
     CXXFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
install build/linux/release/vina build/linux/release/vina_split $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
install -m 644 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT/%_mandir/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%_bindir/*
%_mandir/man1/*


%changelog
* Mon Jun 30 2014 Dave Love <d.love@liverpool.ac.uk> - 1.1.2-1
- Re-named from autodock-vina, consistent with Fedora policy
- Don't use -mt libraries on F20
- Remove Group header

* Sat Nov 16 2013 Dave Love <d.love@liverpool.ac.uk> - 1.1.2-1
- Initial packaging, patch based on Debian, man pages from Debian

